Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class TypedDependency

    java.lang.Object
      edu.stanford.nlp.trees.TypedDependency

All Implemented Interfaces:
  Serializable, Comparable<TypedDependency>

    public class TypedDependency

extends Object
implements Comparable<TypedDependency>, Serializable

A `TypedDependency` is a relation between two words in a `GrammaticalStructure`. Each `TypedDependency` consists of a governor word, a dependent word, and a relation, which is normally an instance of ``GrammaticalRelation``.

Author:
  Bill MacCartney
See Also:
  Serialized Form

Constructor Summary
`TypedDependency(GrammaticalRelation reln, TreeGraphNode gov, TreeGraphNode dep)`

Method Summary
`int` | `compareTo(TypedDependency tdArg)`
`TreeGraphNode` | `dep()`
`boolean` | `equals(Object o)`
`TreeGraphNode` | `gov()`
`int` | `hashCode()`
`GrammaticalRelation` | `reln()`
`void` | `setDep(TreeGraphNode dep)`
`void` | `setGov(TreeGraphNode gov)`
`void` | `setReln(GrammaticalRelation reln)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypedDependency

    public TypedDependency(GrammaticalRelation reln,
                           TreeGraphNode gov,
                           TreeGraphNode dep)

Method Detail

### reln

    public GrammaticalRelation reln()

### gov

    public TreeGraphNode gov()

### dep

    public TreeGraphNode dep()

### setReln

    public void setReln(GrammaticalRelation reln)

### setGov

    public void setGov(TreeGraphNode gov)

### setDep

    public void setDep(TreeGraphNode dep)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(TypedDependency tdArg)

  Specified by:
    `compareTo` in interface `Comparable<TypedDependency>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group